# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-File-MMagic
Version:	1.30
Release:	10.%{__distinit}%{__distvers}
Summary:	A Perl module emulating the file(1) command
Group:		Development/Libraries
License:	ASL 1.0 and BSD
URL:		http://search.cpan.org/dist/File-MMagic/
Source0:	http://search.cpan.org/CPAN/authors/id/K/KN/KNOK/File-MMagic-%{version}.tar.gz
Patch0:		File-MMagic-1.30-rt109673.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl
%if 0%{?fedora} > 20 || 0%{?rhel} > 7
BuildRequires:	perl-generators
%endif
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(FileHandle)
BuildRequires:	perl(strict)
BuildRequires:	perl(vars)
# Test Suite
BuildRequires:	perl(base)
BuildRequires:	perl(Test)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(warnings)
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This module attempts to guess a file's type from its contents like the file(1)
command.

%prep
%setup -q -n File-MMagic-%{version} 

# Fix "Redundant argument in sprintf" warning (CPAN RT#109673)
%patch0

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%if 0%{?_licensedir:1}
%license COPYING
%else
%doc COPYING
%endif
%doc ChangeLog README.en
%{perl_vendorlib}/File/
%{_mandir}/man3/File::MMagic.3*

%changelog
* Wed Aug 24 2016 Paul Howarth <paul@city-fan.org> - 1.30-10
- BR: perl-generators where available

* Tue May  3 2016 Paul Howarth <paul@city-fan.org> - 1.30-9
- Fix "Redundant argument in sprintf" warning (CPAN RT#109673)
- Classify buildreqs by usage
- Simplify find command using -delete
- Drop %%defattr, redundant since rpm 4.4
- Use %%license where possible

* Sat Jul 13 2013 Paul Howarth <paul@city-fan.org> - 1.30-2
- Perl 5.18 rebuild

* Tue Jul  2 2013 Paul Howarth <paul@city-fan.org> - 1.30-1
- Update to 1.30
  - MMagic.pm (checktype_byfilename): remove Scalar::Util::weaken to prevent
    decrementing REFCNT too much

* Thu Jul 12 2012 Paul Howarth <paul@city-fan.org> - 1.29-1
- Update to 1.29
  - MMagic.pm (checktype_contents): fix infinite loop bug (CPAN RT#77836)
- BR: perl(base), perl(Test) and perl(Test::More)

* Thu May 31 2012 Paul Howarth <paul@city-fan.org> - 1.28-1
- Update to 1.28
  - Applied subclass patch from Michael Hendricks
  - Removed deprecated code (defined(@array)) (CPAN RT#74252)
  - Added container check
  - Added Hex representation support
  - Added 'regex' and 'search' support for magic entry, and fixed fatal error
    when unknown type in magic entry
  - Fixed memory leak
- BR: perl(Scalar::Util)
- Don't need to remove empty directories from buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Mon Jun 27 2011 Paul Howarth <paul@city-fan.org> - 1.27-13
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Tue Mar 15 2011 Paul Howarth <paul@city-fan.org> - 1.27-12
- Import from Fedora

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.27-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 16 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.27-10
- Rebuild to fix problems with vendorarch/lib (#661697)

* Sat May 01 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.27-9
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.27-8
- Rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.27-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.27-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Feb  2 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.27-5
- Rebuild for new perl

* Fri Oct 26 2007 Robin Norwood <rnorwood@redhat.com> - 1.27-4
- Remove BR: perl for package review
- Resolves: bz#226257

* Wed Aug 29 2007 Robin Norwood <rnorwood@redhat.com> - 1.27-3
- Update license tag
- Add BuildRequires: perl(ExtUtils::MakeMaker)

* Fri Jul 20 2007 Robin Norwood <rnorwood@redhat.com> - 1.27-2
- Add fixes from EPEL branch
- Fix minor specfile issues

* Mon Jun 05 2006 Jason Vas Dias <jvdias@redhat.com> - 1.27-1
- Upgrade to 1.27

* Fri Feb 03 2006 Jason Vas Dias <jvdias@redhat.com> - 1.26-1
- Upgrade to 1.26
- Rebuild for new perl-5.8.8

* Tue Jan 10 2006 Jason Vas Dias <jvdias@redhat.com> - 1.25-1
- Fix bug 176717: upgrade to 1.25

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com> - 1.22-2
- Rebuilt for new gcc

* Sat Apr 02 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.22-1
- Update to 1.22
- Spec cleanup (#153204)

* Wed Sep 22 2004 Chip Turner <cturner@redhat.com> - 1.21-2
- Rebuild

* Fri Feb 13 2004 Chip Turner <cturner@redhat.com> - 1.21-1
- Move to 1.21

* Tue Dec 10 2002 Chip Turner <cturner@redhat.com>
- Update to latest version from CPAN

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- Automated release bump and build

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- Update to 1.15

* Fri Dec 7 2001 root <root@redhat.com>
- Spec file was autogenerated.
